package com.tuoheng.admin.common;

import com.tuoheng.common.common.ExceptionInterface;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 业务异常 枚举
 *
 * @author zhu_zishuang
 * @date 2021-03-12
 */
@AllArgsConstructor
public enum ServiceExceptionEnum implements ExceptionInterface {

    /**
     * 未查询到数据
     */
    GET_NO_DATA(10001, "未查到该记录！"),
    /**
     * 参数为空
     */
    PARAMETER_IS_NULL(10002, "参数为空！"),

    /**
     * 获取用户ID失败
     */
    GET_NO_USER_ID(10003, "获取用户ID失败！"),

    /**
     * websocket连接异常！
     */
    WEB_SOCKET_CONNECTION_ERROR(10004, "websocket连接异常！"),

    /**
     * 文件不能为空！
     */
    FILE_IS_EMPTY(10005, "上传文件不能为空！"),

    /**
     * 上传文件格式错误！
     */
    FILE_FORMAT_IS_ERROR(10006, "上传文件格式错误！"),

    /**
     * 上传文件数据错误，请检查文件！
     */
    FILE_DATA_IS_ERROR(10101, "上传文件数据错误，请检查文件！"),

    /**
     * 上传文件数据错误，请检查文件！
     */
    FILE_DATA_TIME_IS_ERROR(10102, "上传文件数据错误，请检查文件！"),

    /**
     * 上传文件数据错误，请检查文件！
     */
    FILE_DATA_LNG_IS_ERROR(10103, "上传文件数据错误，请检查文件！"),

    /**
     * 上传文件数据错误，请检查文件！
     */
    FILE_DATA_LAT_IS_ERROR(10104, "上传文件数据错误，请检查文件！"),

    /**
     * 读取图片经纬度失败，请手动填写！
     */
    IMAGE_LOCATION_IS_ERROR(11001, "读取图片经纬度失败，请手动填写！"),

    /**
     * 任务不存在!
     */
    TASK_DOES_NOT_EXIST(11111, "巡检任务不存在，请先创建巡检任务！"),

    /**
     * 视频分析中，请稍后再试
     */
    VIDEO_ANALYSIS_IN_PROGRESS(11112, "视频分析中，请稍后再试！"),

    /**
     * 只有飞行完成状态可以操作
     */
    TASK_NOT_OPERATION(11113, "只有飞行完成状态可以操作！"),

    /**
     * 没有这个飞行状态
     */
    TASK_NOT_STATUS(11113, "飞行状态出错！"),
    ;

    @Getter
    private final int code;

    @Getter
    private final String message;
}